Changeset 459


Ignore:
Timestamp:
02/28/06 23:58:02 (8 years ago)
Author:
wehart
Message:

Re-integration of filib. I reworked the FILIB makefile to simplify it from
what Lee Ann had (which wasn't working for me). However, this doesn't
rely on system configuration information now!

Misc bug fixes in the GNLP package. This now works for the gnlpdag
build ... but I haven't setup the ampl2dag stuff just yet.

( Links to Acro-related mail archives at  http://software.sandia.gov/Acro/ )

Location:
acro/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • acro/trunk/Makefile.in

    r457 r459  
    4343        $(top_srcdir)/packages/parpcx/src/Makefile.in \ 
    4444        $(top_srcdir)/packages/parpcx/test/Makefile.in \ 
    45         $(top_srcdir)/packages/tpl/filib/Makefile.in \ 
    46         $(top_srcdir)/packages/tpl/filib/src/Makefile.in \ 
    47         $(top_srcdir)/packages/tpl/filib/test/Makefile.in \ 
    4845        $(top_srcdir)/packages/tpl/pls/Makefile.in \ 
    4946        $(top_srcdir)/packages/tpl/pls/src/Makefile.in \ 
     
    7168mkinstalldirs = $(install_sh) -d 
    7269CONFIG_HEADER = config.h 
    73 CONFIG_CLEAN_FILES = packages/tpl/filib/Makefile \ 
    74         packages/tpl/filib/src/Makefile \ 
    75         packages/tpl/filib/test/Makefile packages/parpcx/Makefile \ 
     70CONFIG_CLEAN_FILES = packages/parpcx/Makefile \ 
    7671        packages/parpcx/src/Makefile packages/parpcx/test/Makefile \ 
    7772        packages/tpl/pls/Makefile packages/tpl/pls/src/Makefile \ 
     
    259254UTILIB_DIR = @UTILIB_DIR@ 
    260255VERSION = @VERSION@ 
     256WORDS_BIGENDIAN_FALSE = @WORDS_BIGENDIAN_FALSE@ 
     257WORDS_BIGENDIAN_TRUE = @WORDS_BIGENDIAN_TRUE@ 
    261258ac_ct_CC = @ac_ct_CC@ 
    262259ac_ct_CXX = @ac_ct_CXX@ 
     
    366363distclean-hdr: 
    367364        -rm -f config.h stamp-h1 
    368 packages/tpl/filib/Makefile: $(top_builddir)/config.status $(top_srcdir)/packages/tpl/filib/Makefile.in 
    369         cd $(top_builddir) && $(SHELL) ./config.status $@ 
    370 packages/tpl/filib/src/Makefile: $(top_builddir)/config.status $(top_srcdir)/packages/tpl/filib/src/Makefile.in 
    371         cd $(top_builddir) && $(SHELL) ./config.status $@ 
    372 packages/tpl/filib/test/Makefile: $(top_builddir)/config.status $(top_srcdir)/packages/tpl/filib/test/Makefile.in 
    373         cd $(top_builddir) && $(SHELL) ./config.status $@ 
    374365packages/parpcx/Makefile: $(top_builddir)/config.status $(top_srcdir)/packages/parpcx/Makefile.in 
    375366        cd $(top_builddir) && $(SHELL) ./config.status $@ 
     
    521512        $(am__remove_distdir) 
    522513        mkdir $(distdir) 
    523         $(mkdir_p) $(distdir)/config $(distdir)/packages/parpcx $(distdir)/packages/parpcx/src $(distdir)/packages/parpcx/test $(distdir)/packages/tpl/filib $(distdir)/packages/tpl/filib/src $(distdir)/packages/tpl/filib/test $(distdir)/packages/tpl/pls $(distdir)/packages/tpl/pls/src $(distdir)/packages/tpl/pls/test 
     514        $(mkdir_p) $(distdir)/config $(distdir)/packages/parpcx $(distdir)/packages/parpcx/src $(distdir)/packages/parpcx/test $(distdir)/packages/tpl/pls $(distdir)/packages/tpl/pls/src $(distdir)/packages/tpl/pls/test 
    524515        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \ 
    525516        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \ 
  • acro/trunk/config.h.in

    r442 r459  
    168168#undef VERSION 
    169169 
     170/* Define to 1 if your processor stores words with the most significant byte 
     171   first (like Motorola and SPARC, unlike Intel and VAX). */ 
     172#undef WORDS_BIGENDIAN 
     173 
    170174/* Define to `unsigned' if <sys/types.h> does not define. */ 
    171175#undef size_t 
  • acro/trunk/configure

    r456 r459  
    316316#endif" 
    317317 
    318 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os TARGET_SOLARIS_TRUE TARGET_SOLARIS_FALSE TARGET_MINGW_TRUE TARGET_MINGW_FALSE TARGET_LINUX_TRUE TARGET_LINUX_FALSE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar BUILD_UTILIB_TRUE BUILD_UTILIB_FALSE UTILIB_DIR subdirs BUILD_THREEPO_TRUE BUILD_THREEPO_FALSE THREEPO_DIR BUILD_AMPL_TRUE BUILD_AMPL_FALSE AMPL_DIR BUILD_APPSPACK_TRUE BUILD_APPSPACK_FALSE APPSPACK_DIR BUILD_COIN_TRUE BUILD_COIN_FALSE COIN_DIR BUILD_COLIN_TRUE BUILD_COLIN_FALSE COLIN_DIR BUILD_COLINY_TRUE BUILD_COLINY_FALSE COLINY_DIR BUILD_EXACT_TRUE BUILD_EXACT_FALSE EXACT_DIR BUILD_FILIB_TRUE BUILD_FILIB_FALSE BUILD_GLPK_TRUE BUILD_GLPK_FALSE GLPK_DIR BUILD_GNLP_TRUE BUILD_GNLP_FALSE GNLP_DIR BUILD_IPOPT_TRUE BUILD_IPOPT_FALSE IPOPT_DIR BUILD_MTL_TRUE BUILD_MTL_FALSE MTL_DIR BUILD_PARPCX_TRUE BUILD_PARPCX_FALSE PARPCX_DIR BUILD_PICOCORE_TRUE BUILD_PICOCORE_FALSE PICOCORE_DIR BUILD_PICOMILP_TRUE BUILD_PICOMILP_FALSE PICOMILP_DIR BUILD_PLS_TRUE BUILD_PLS_FALSE PLS_DIR BUILD_SOPLEX_TRUE BUILD_SOPLEX_FALSE SOPLEX_DIR BUILD_TRILINOS_TRUE BUILD_TRILINOS_FALSE TRILINOS_DIR TPL_DIR BUILD_EXECUTABLES_TRUE BUILD_EXECUTABLES_FALSE BUILD_TESTS_TRUE BUILD_TESTS_FALSE BUILD_SOPLEX_1_2_1_TRUE BUILD_SOPLEX_1_2_1_FALSE BUILD_COIN_20050626_TRUE BUILD_COIN_20050626_FALSE MPI_CXX MPI_CXX_EXISTS USE_MPI_CXX_TRUE USE_MPI_CXX_FALSE MPI_CC_EXISTS USE_MPI_CC_TRUE USE_MPI_CC_FALSE MPI_F77_EXISTS USE_MPI_F77_TRUE USE_MPI_F77_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 RANLIB ac_ct_RANLIB LN_S CCAS CCASFLAGS BUILD_MPI_TRUE BUILD_MPI_FALSE MPI_INC MPI_CC MPI_F77 BUILD_MPE_TRUE BUILD_MPE_FALSE MPE_LIBS MPI_LIBS MPI_LIBDIR FLIBS BLAS_LIBS LAPACK_LIBS EGREP HAVE_ANSI_C_HEADERS_TRUE HAVE_ANSI_C_HEADERS_FALSE HAVE_SIZE_T_TRUE HAVE_SIZE_T_FALSE HAVE_NAMESPACES_TRUE HAVE_NAMESPACES_FALSE HAVE_ANSI_CPP_HEADERS_TRUE HAVE_ANSI_CPP_HEADERS_FALSE HAVE_GETRUSAGE_TRUE HAVE_GETRUSAGE_FALSE HAVE_STRERROR_TRUE HAVE_STRERROR_FALSE LIBOBJS LTLIBOBJS' 
     318ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os TARGET_SOLARIS_TRUE TARGET_SOLARIS_FALSE TARGET_MINGW_TRUE TARGET_MINGW_FALSE TARGET_LINUX_TRUE TARGET_LINUX_FALSE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar BUILD_UTILIB_TRUE BUILD_UTILIB_FALSE UTILIB_DIR subdirs BUILD_THREEPO_TRUE BUILD_THREEPO_FALSE THREEPO_DIR BUILD_AMPL_TRUE BUILD_AMPL_FALSE AMPL_DIR BUILD_APPSPACK_TRUE BUILD_APPSPACK_FALSE APPSPACK_DIR BUILD_COIN_TRUE BUILD_COIN_FALSE COIN_DIR BUILD_COLIN_TRUE BUILD_COLIN_FALSE COLIN_DIR BUILD_COLINY_TRUE BUILD_COLINY_FALSE COLINY_DIR BUILD_EXACT_TRUE BUILD_EXACT_FALSE EXACT_DIR BUILD_FILIB_TRUE BUILD_FILIB_FALSE FILIB_DIR BUILD_CPLEX_TRUE BUILD_CPLEX_FALSE BUILD_GLPK_TRUE BUILD_GLPK_FALSE GLPK_DIR BUILD_GNLP_TRUE BUILD_GNLP_FALSE GNLP_DIR BUILD_IPOPT_TRUE BUILD_IPOPT_FALSE IPOPT_DIR BUILD_MTL_TRUE BUILD_MTL_FALSE MTL_DIR BUILD_PARPCX_TRUE BUILD_PARPCX_FALSE PARPCX_DIR BUILD_PICOCORE_TRUE BUILD_PICOCORE_FALSE PICOCORE_DIR BUILD_PICOMILP_TRUE BUILD_PICOMILP_FALSE PICOMILP_DIR BUILD_PLS_TRUE BUILD_PLS_FALSE PLS_DIR BUILD_SOPLEX_TRUE BUILD_SOPLEX_FALSE SOPLEX_DIR BUILD_TRILINOS_TRUE BUILD_TRILINOS_FALSE TRILINOS_DIR TPL_DIR BUILD_EXECUTABLES_TRUE BUILD_EXECUTABLES_FALSE BUILD_TESTS_TRUE BUILD_TESTS_FALSE BUILD_SOPLEX_1_2_1_TRUE BUILD_SOPLEX_1_2_1_FALSE BUILD_COIN_20050626_TRUE BUILD_COIN_20050626_FALSE MPI_CXX MPI_CXX_EXISTS USE_MPI_CXX_TRUE USE_MPI_CXX_FALSE MPI_CC_EXISTS USE_MPI_CC_TRUE USE_MPI_CC_FALSE MPI_F77_EXISTS USE_MPI_F77_TRUE USE_MPI_F77_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 RANLIB ac_ct_RANLIB LN_S CCAS CCASFLAGS BUILD_MPI_TRUE BUILD_MPI_FALSE MPI_INC MPI_CC MPI_F77 BUILD_MPE_TRUE BUILD_MPE_FALSE MPE_LIBS MPI_LIBS MPI_LIBDIR FLIBS BLAS_LIBS LAPACK_LIBS EGREP HAVE_ANSI_C_HEADERS_TRUE HAVE_ANSI_C_HEADERS_FALSE HAVE_SIZE_T_TRUE HAVE_SIZE_T_FALSE HAVE_NAMESPACES_TRUE HAVE_NAMESPACES_FALSE HAVE_ANSI_CPP_HEADERS_TRUE HAVE_ANSI_CPP_HEADERS_FALSE HAVE_GETRUSAGE_TRUE HAVE_GETRUSAGE_FALSE HAVE_STRERROR_TRUE HAVE_STRERROR_FALSE WORDS_BIGENDIAN_TRUE WORDS_BIGENDIAN_FALSE LIBOBJS LTLIBOBJS' 
    319319ac_subst_files='' 
    320320 
     
    910910  --with-coliny           build acro with COLINY (default is yes) 
    911911  --with-exact            build acro with EXACT (default is yes) 
     912  --with-filib            build acro with FILIB (default is yes) 
    912913  --with-glpk             build acro with GLPK (default is yes) 
    913914  --with-gnlp             build acro with GNLP (default is yes) 
     
    23282329           ac_config_files="$ac_config_files packages/colin/src/Makefile" 
    23292330 
     2331           ac_config_files="$ac_config_files packages/colin/src/headers/Makefile" 
     2332 
    23302333           ac_config_files="$ac_config_files packages/colin/test/Makefile" 
    23312334 
     
    23812384           ac_config_files="$ac_config_files packages/coliny/src/Makefile" 
    23822385 
     2386           ac_config_files="$ac_config_files packages/coliny/src/headers/Makefile" 
     2387 
    23832388           ac_config_files="$ac_config_files packages/coliny/test/Makefile" 
    23842389 
     
    24382443fi 
    24392444 
    2440 #ACRO_ARG_WITH_PACKAGE(filib, FILIB, filib, 
    2441 #       ${srcdir}/packages/tpl/filib/Makefile.am, no) 
    2442 # 
    2443 #if test X${ac_cv_with_filib} = Xyes ; then 
    2444 # AC_CONFIG_FILES([packages/tpl/filib/Makefile]) 
    2445 #fi 
    2446  
    2447  
    2448 if false; then 
     2445 
     2446if test -f ${srcdir}/packages/tpl/filib/Makefile.am ; then 
     2447 
     2448# Check whether --with-filib or --without-filib was given. 
     2449if test "${with_filib+set}" = set; then 
     2450  withval="$with_filib" 
     2451  ac_cv_with_filib=$withval 
     2452else 
     2453  ac_cv_with_filib=yes 
     2454 
     2455fi; 
     2456else 
     2457  ac_cv_with_filib=no 
     2458fi 
     2459 
     2460echo "$as_me:$LINENO: checking whether to include filib" >&5 
     2461echo $ECHO_N "checking whether to include filib... $ECHO_C" >&6 
     2462 
     2463 
     2464 
     2465if test "X$ac_cv_with_filib" = "Xyes"; then 
    24492466  BUILD_FILIB_TRUE= 
    24502467  BUILD_FILIB_FALSE='#' 
     
    24522469  BUILD_FILIB_TRUE='#' 
    24532470  BUILD_FILIB_FALSE= 
     2471fi 
     2472 
     2473if test "X$ac_cv_with_filib" = "Xyes" ; then 
     2474 
     2475cat >>confdefs.h <<\_ACEOF 
     2476#define USING_FILIB 
     2477_ACEOF 
     2478 
     2479  echo "$as_me:$LINENO: result: yes" >&5 
     2480echo "${ECHO_T}yes" >&6 
     2481  FILIB_DIR=filib 
     2482else 
     2483  echo "$as_me:$LINENO: result: no" >&5 
     2484echo "${ECHO_T}no" >&6 
     2485fi 
     2486 
     2487 
     2488 
     2489if test X${ac_cv_with_filib} = Xyes ; then 
     2490           ac_config_files="$ac_config_files packages/tpl/filib/Makefile" 
     2491 
     2492fi 
     2493 
     2494 
     2495 
     2496if test "NO" = "YES"; then 
     2497  BUILD_CPLEX_TRUE= 
     2498  BUILD_CPLEX_FALSE='#' 
     2499else 
     2500  BUILD_CPLEX_TRUE='#' 
     2501  BUILD_CPLEX_FALSE= 
    24542502fi 
    24552503 
     
    25572605 
    25582606           ac_config_files="$ac_config_files packages/gnlp/src/Makefile" 
     2607 
     2608           ac_config_files="$ac_config_files packages/gnlp/src/headers/Makefile" 
    25592609 
    25602610           ac_config_files="$ac_config_files packages/gnlp/test/Makefile" 
     
    27992849           ac_config_files="$ac_config_files packages/pico-core/src/Makefile" 
    28002850 
     2851           ac_config_files="$ac_config_files packages/pico-core/src/headers/Makefile" 
     2852 
    28012853           ac_config_files="$ac_config_files packages/pico-core/test/Makefile" 
    28022854 
     
    28512903 
    28522904           ac_config_files="$ac_config_files packages/pico-milp/src/Makefile" 
     2905 
     2906           ac_config_files="$ac_config_files packages/pico-milp/src/headers/Makefile" 
    28532907 
    28542908           ac_config_files="$ac_config_files packages/pico-milp/test/Makefile" 
     
    53545408 
    53555409# Provide some information about the compiler. 
    5356 echo "$as_me:5356:" \ 
     5410echo "$as_me:5410:" \ 
    53575411     "checking for Fortran 77 compiler version" >&5 
    53585412ac_compiler=`set X $ac_compile; echo $2` 
     
    59646018ac_save_FFLAGS=$FFLAGS 
    59656019FFLAGS="$FFLAGS $ac_verb" 
    5966 (eval echo $as_me:5966: \"$ac_link\") >&5 
     6020(eval echo $as_me:6020: \"$ac_link\") >&5 
    59676021ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 
    59686022echo "$ac_f77_v_output" >&5 
     
    60426096ac_save_FFLAGS=$FFLAGS 
    60436097FFLAGS="$FFLAGS $ac_cv_prog_f77_v" 
    6044 (eval echo $as_me:6044: \"$ac_link\") >&5 
     6098(eval echo $as_me:6098: \"$ac_link\") >&5 
    60456099ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 
    60466100echo "$ac_f77_v_output" >&5 
     
    97539807fi 
    97549808done 
     9809 
     9810 
     9811############################################################### 
     9812# more checks 
     9813 
     9814echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5 
     9815echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6 
     9816if test "${ac_cv_c_bigendian+set}" = set; then 
     9817  echo $ECHO_N "(cached) $ECHO_C" >&6 
     9818else 
     9819  # See if sys/param.h defines the BYTE_ORDER macro. 
     9820cat >conftest.$ac_ext <<_ACEOF 
     9821/* confdefs.h.  */ 
     9822_ACEOF 
     9823cat confdefs.h >>conftest.$ac_ext 
     9824cat >>conftest.$ac_ext <<_ACEOF 
     9825/* end confdefs.h.  */ 
     9826#include <sys/types.h> 
     9827#include <sys/param.h> 
     9828 
     9829#ifdef F77_DUMMY_MAIN 
     9830 
     9831#  ifdef __cplusplus 
     9832     extern "C" 
     9833#  endif 
     9834   int F77_DUMMY_MAIN() { return 1; } 
     9835 
     9836#endif 
     9837int 
     9838main () 
     9839{ 
     9840#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN 
     9841 bogus endian macros 
     9842#endif 
     9843 
     9844  ; 
     9845  return 0; 
     9846} 
     9847_ACEOF 
     9848rm -f conftest.$ac_objext 
     9849if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     9850  (eval $ac_compile) 2>conftest.er1 
     9851  ac_status=$? 
     9852  grep -v '^ *+' conftest.er1 >conftest.err 
     9853  rm -f conftest.er1 
     9854  cat conftest.err >&5 
     9855  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9856  (exit $ac_status); } && 
     9857         { ac_try='test -z "$ac_cxx_werror_flag" 
     9858                         || test ! -s conftest.err' 
     9859  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9860  (eval $ac_try) 2>&5 
     9861  ac_status=$? 
     9862  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9863  (exit $ac_status); }; } && 
     9864         { ac_try='test -s conftest.$ac_objext' 
     9865  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9866  (eval $ac_try) 2>&5 
     9867  ac_status=$? 
     9868  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9869  (exit $ac_status); }; }; then 
     9870  # It does; now see whether it defined to BIG_ENDIAN or not. 
     9871cat >conftest.$ac_ext <<_ACEOF 
     9872/* confdefs.h.  */ 
     9873_ACEOF 
     9874cat confdefs.h >>conftest.$ac_ext 
     9875cat >>conftest.$ac_ext <<_ACEOF 
     9876/* end confdefs.h.  */ 
     9877#include <sys/types.h> 
     9878#include <sys/param.h> 
     9879 
     9880#ifdef F77_DUMMY_MAIN 
     9881 
     9882#  ifdef __cplusplus 
     9883     extern "C" 
     9884#  endif 
     9885   int F77_DUMMY_MAIN() { return 1; } 
     9886 
     9887#endif 
     9888int 
     9889main () 
     9890{ 
     9891#if BYTE_ORDER != BIG_ENDIAN 
     9892 not big endian 
     9893#endif 
     9894 
     9895  ; 
     9896  return 0; 
     9897} 
     9898_ACEOF 
     9899rm -f conftest.$ac_objext 
     9900if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     9901  (eval $ac_compile) 2>conftest.er1 
     9902  ac_status=$? 
     9903  grep -v '^ *+' conftest.er1 >conftest.err 
     9904  rm -f conftest.er1 
     9905  cat conftest.err >&5 
     9906  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9907  (exit $ac_status); } && 
     9908         { ac_try='test -z "$ac_cxx_werror_flag" 
     9909                         || test ! -s conftest.err' 
     9910  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9911  (eval $ac_try) 2>&5 
     9912  ac_status=$? 
     9913  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9914  (exit $ac_status); }; } && 
     9915         { ac_try='test -s conftest.$ac_objext' 
     9916  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9917  (eval $ac_try) 2>&5 
     9918  ac_status=$? 
     9919  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9920  (exit $ac_status); }; }; then 
     9921  ac_cv_c_bigendian=yes 
     9922else 
     9923  echo "$as_me: failed program was:" >&5 
     9924sed 's/^/| /' conftest.$ac_ext >&5 
     9925 
     9926ac_cv_c_bigendian=no 
     9927fi 
     9928rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     9929else 
     9930  echo "$as_me: failed program was:" >&5 
     9931sed 's/^/| /' conftest.$ac_ext >&5 
     9932 
     9933# It does not; compile a test program. 
     9934if test "$cross_compiling" = yes; then 
     9935  # try to guess the endianness by grepping values into an object file 
     9936  ac_cv_c_bigendian=unknown 
     9937  cat >conftest.$ac_ext <<_ACEOF 
     9938/* confdefs.h.  */ 
     9939_ACEOF 
     9940cat confdefs.h >>conftest.$ac_ext 
     9941cat >>conftest.$ac_ext <<_ACEOF 
     9942/* end confdefs.h.  */ 
     9943short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 }; 
     9944short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 }; 
     9945void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; } 
     9946short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 }; 
     9947short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 }; 
     9948void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; } 
     9949#ifdef F77_DUMMY_MAIN 
     9950 
     9951#  ifdef __cplusplus 
     9952     extern "C" 
     9953#  endif 
     9954   int F77_DUMMY_MAIN() { return 1; } 
     9955 
     9956#endif 
     9957int 
     9958main () 
     9959{ 
     9960 _ascii (); _ebcdic (); 
     9961  ; 
     9962  return 0; 
     9963} 
     9964_ACEOF 
     9965rm -f conftest.$ac_objext 
     9966if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     9967  (eval $ac_compile) 2>conftest.er1 
     9968  ac_status=$? 
     9969  grep -v '^ *+' conftest.er1 >conftest.err 
     9970  rm -f conftest.er1 
     9971  cat conftest.err >&5 
     9972  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9973  (exit $ac_status); } && 
     9974         { ac_try='test -z "$ac_cxx_werror_flag" 
     9975                         || test ! -s conftest.err' 
     9976  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9977  (eval $ac_try) 2>&5 
     9978  ac_status=$? 
     9979  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9980  (exit $ac_status); }; } && 
     9981         { ac_try='test -s conftest.$ac_objext' 
     9982  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     9983  (eval $ac_try) 2>&5 
     9984  ac_status=$? 
     9985  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9986  (exit $ac_status); }; }; then 
     9987  if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then 
     9988  ac_cv_c_bigendian=yes 
     9989fi 
     9990if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then 
     9991  if test "$ac_cv_c_bigendian" = unknown; then 
     9992    ac_cv_c_bigendian=no 
     9993  else 
     9994    # finding both strings is unlikely to happen, but who knows? 
     9995    ac_cv_c_bigendian=unknown 
     9996  fi 
     9997fi 
     9998else 
     9999  echo "$as_me: failed program was:" >&5 
     10000sed 's/^/| /' conftest.$ac_ext >&5 
     10001 
     10002fi 
     10003rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     10004else 
     10005  cat >conftest.$ac_ext <<_ACEOF 
     10006/* confdefs.h.  */ 
     10007_ACEOF 
     10008cat confdefs.h >>conftest.$ac_ext 
     10009cat >>conftest.$ac_ext <<_ACEOF 
     10010/* end confdefs.h.  */ 
     10011int 
     10012main () 
     10013{ 
     10014  /* Are we little or big endian?  From Harbison&Steele.  */ 
     10015  union 
     10016  { 
     10017    long l; 
     10018    char c[sizeof (long)]; 
     10019  } u; 
     10020  u.l = 1; 
     10021  exit (u.c[sizeof (long) - 1] == 1); 
     10022} 
     10023_ACEOF 
     10024rm -f conftest$ac_exeext 
     10025if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     10026  (eval $ac_link) 2>&5 
     10027  ac_status=$? 
     10028  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     10029  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     10030  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     10031  (eval $ac_try) 2>&5 
     10032  ac_status=$? 
     10033  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     10034  (exit $ac_status); }; }; then 
     10035  ac_cv_c_bigendian=no 
     10036else 
     10037  echo "$as_me: program exited with status $ac_status" >&5 
     10038echo "$as_me: failed program was:" >&5 
     10039sed 's/^/| /' conftest.$ac_ext >&5 
     10040 
     10041( exit $ac_status ) 
     10042ac_cv_c_bigendian=yes 
     10043fi 
     10044rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     10045fi 
     10046fi 
     10047rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     10048fi 
     10049echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5 
     10050echo "${ECHO_T}$ac_cv_c_bigendian" >&6 
     10051case $ac_cv_c_bigendian in 
     10052  yes) 
     10053 
     10054cat >>confdefs.h <<\_ACEOF 
     10055#define WORDS_BIGENDIAN 1 
     10056_ACEOF 
     10057 ;; 
     10058  no) 
     10059     ;; 
     10060  *) 
     10061    { { echo "$as_me:$LINENO: error: unknown endianness 
     10062presetting ac_cv_c_bigendian=no (or yes) will help" >&5 
     10063echo "$as_me: error: unknown endianness 
     10064presetting ac_cv_c_bigendian=no (or yes) will help" >&2;} 
     10065   { (exit 1); exit 1; }; } ;; 
     10066esac 
     10067 
     10068 
     10069if test X${ac_cv_c_bigendian} = Xyes ; then 
     10070 
     10071 
     10072if true; then 
     10073  WORDS_BIGENDIAN_TRUE= 
     10074  WORDS_BIGENDIAN_FALSE='#' 
     10075else 
     10076  WORDS_BIGENDIAN_TRUE='#' 
     10077  WORDS_BIGENDIAN_FALSE= 
     10078fi 
     10079 
     10080else 
     10081 
     10082 
     10083if false; then 
     10084  WORDS_BIGENDIAN_TRUE= 
     10085  WORDS_BIGENDIAN_FALSE='#' 
     10086else 
     10087  WORDS_BIGENDIAN_TRUE='#' 
     10088  WORDS_BIGENDIAN_FALSE= 
     10089fi 
     10090 
     10091fi 
    975510092 
    975610093# 
     
    993410271   { (exit 1); exit 1; }; } 
    993510272fi 
     10273if test -z "${BUILD_CPLEX_TRUE}" && test -z "${BUILD_CPLEX_FALSE}"; then 
     10274  { { echo "$as_me:$LINENO: error: conditional \"BUILD_CPLEX\" was never defined. 
     10275Usually this means the macro was only invoked conditionally." >&5 
     10276echo "$as_me: error: conditional \"BUILD_CPLEX\" was never defined. 
     10277Usually this means the macro was only invoked conditionally." >&2;} 
     10278   { (exit 1); exit 1; }; } 
     10279fi 
    993610280if test -z "${BUILD_GLPK_TRUE}" && test -z "${BUILD_GLPK_FALSE}"; then 
    993710281  { { echo "$as_me:$LINENO: error: conditional \"BUILD_GLPK\" was never defined. 
     
    1021110555Usually this means the macro was only invoked conditionally." >&5 
    1021210556echo "$as_me: error: conditional \"HAVE_STRERROR\" was never defined. 
     10557Usually this means the macro was only invoked conditionally." >&2;} 
     10558   { (exit 1); exit 1; }; } 
     10559fi 
     10560if test -z "${WORDS_BIGENDIAN_TRUE}" && test -z "${WORDS_BIGENDIAN_FALSE}"; then 
     10561  { { echo "$as_me:$LINENO: error: conditional \"WORDS_BIGENDIAN\" was never defined. 
     10562Usually this means the macro was only invoked conditionally." >&5 
     10563echo "$as_me: error: conditional \"WORDS_BIGENDIAN\" was never defined. 
     10564Usually this means the macro was only invoked conditionally." >&2;} 
     10565   { (exit 1); exit 1; }; } 
     10566fi 
     10567if test -z "${WORDS_BIGENDIAN_TRUE}" && test -z "${WORDS_BIGENDIAN_FALSE}"; then 
     10568  { { echo "$as_me:$LINENO: error: conditional \"WORDS_BIGENDIAN\" was never defined. 
     10569Usually this means the macro was only invoked conditionally." >&5 
     10570echo "$as_me: error: conditional \"WORDS_BIGENDIAN\" was never defined. 
    1021310571Usually this means the macro was only invoked conditionally." >&2;} 
    1021410572   { (exit 1); exit 1; }; } 
     
    1066611024  "packages/colin/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/colin/Makefile" ;; 
    1066711025  "packages/colin/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/colin/src/Makefile" ;; 
     11026  "packages/colin/src/headers/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/colin/src/headers/Makefile" ;; 
    1066811027  "packages/colin/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/colin/test/Makefile" ;; 
    1066911028  "packages/coliny/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/coliny/Makefile" ;; 
    1067011029  "packages/coliny/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/coliny/src/Makefile" ;; 
     11030  "packages/coliny/src/headers/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/coliny/src/headers/Makefile" ;; 
    1067111031  "packages/coliny/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/coliny/test/Makefile" ;; 
    1067211032  "packages/exact/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/exact/Makefile" ;; 
    1067311033  "packages/exact/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/exact/test/Makefile" ;; 
    1067411034  "packages/exact/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/exact/src/Makefile" ;; 
     11035  "packages/tpl/filib/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/tpl/filib/Makefile" ;; 
    1067511036  "packages/tpl/glpk/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/tpl/glpk/Makefile" ;; 
    1067611037  "packages/gnlp/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/gnlp/Makefile" ;; 
    1067711038  "packages/gnlp/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/gnlp/src/Makefile" ;; 
     11039  "packages/gnlp/src/headers/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/gnlp/src/headers/Makefile" ;; 
    1067811040  "packages/gnlp/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/gnlp/test/Makefile" ;; 
    1067911041  "packages/tpl/mtl/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/tpl/mtl/Makefile" ;; 
     
    1068311045  "packages/pico-core/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-core/Makefile" ;; 
    1068411046  "packages/pico-core/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-core/src/Makefile" ;; 
     11047  "packages/pico-core/src/headers/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-core/src/headers/Makefile" ;; 
    1068511048  "packages/pico-core/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-core/test/Makefile" ;; 
    1068611049  "packages/pico-milp/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-milp/Makefile" ;; 
    1068711050  "packages/pico-milp/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-milp/src/Makefile" ;; 
     11051  "packages/pico-milp/src/headers/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-milp/src/headers/Makefile" ;; 
    1068811052  "packages/pico-milp/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/pico-milp/test/Makefile" ;; 
    1068911053  "packages/tpl/pls/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/tpl/pls/Makefile" ;; 
     
    1084711211s,@BUILD_FILIB_TRUE@,$BUILD_FILIB_TRUE,;t t 
    1084811212s,@BUILD_FILIB_FALSE@,$BUILD_FILIB_FALSE,;t t 
     11213s,@FILIB_DIR@,$FILIB_DIR,;t t 
     11214s,@BUILD_CPLEX_TRUE@,$BUILD_CPLEX_TRUE,;t t 
     11215s,@BUILD_CPLEX_FALSE@,$BUILD_CPLEX_FALSE,;t t 
    1084911216s,@BUILD_GLPK_TRUE@,$BUILD_GLPK_TRUE,;t t 
    1085011217s,@BUILD_GLPK_FALSE@,$BUILD_GLPK_FALSE,;t t 
     
    1095311320s,@HAVE_STRERROR_TRUE@,$HAVE_STRERROR_TRUE,;t t 
    1095411321s,@HAVE_STRERROR_FALSE@,$HAVE_STRERROR_FALSE,;t t 
     11322s,@WORDS_BIGENDIAN_TRUE@,$WORDS_BIGENDIAN_TRUE,;t t 
     11323s,@WORDS_BIGENDIAN_FALSE@,$WORDS_BIGENDIAN_FALSE,;t t 
    1095511324s,@LIBOBJS@,$LIBOBJS,;t t 
    1095611325s,@LTLIBOBJS@,$LTLIBOBJS,;t t 
  • acro/trunk/packages/Makefile.in

    r457 r459  
    229229UTILIB_DIR = @UTILIB_DIR@ 
    230230VERSION = @VERSION@ 
     231WORDS_BIGENDIAN_FALSE = @WORDS_BIGENDIAN_FALSE@ 
     232WORDS_BIGENDIAN_TRUE = @WORDS_BIGENDIAN_TRUE@ 
    231233ac_ct_CC = @ac_ct_CC@ 
    232234ac_ct_CXX = @ac_ct_CXX@ 
Note: See TracChangeset for help on using the changeset viewer.